> For the complete documentation index, see [llms.txt](https://docs.omics.ai/products/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.omics.ai/products/command-line-interface/reference/workbench/workflows-versions-defaults-update.md).

# workflows versions defaults update

Update workflow defaults for a given default ID

## Synopsis

### Update Workflow Defaults

```shell
omics workbench workflows versions defaults update DEFAULT_ID
[--namespace=NAMESPACE]
[--workflow=WORKFLOW_ID]
[--version=VERSION_ID]
[--name=NAME]
[--engine=ENGINE]
[--provider=PROVIDER]
[--region=REGION]
[--values=VALUES]
```

## Description

Update an existing workflow default for a given default ID. Updating completely replaces the old defaults. You can modify properties like name, engine, provider, region, or values for the specified workflow default.

## Examples

Update the name and values of a workflow default:

```shell
omics workbench workflows versions defaults update default-id-1 --name new-default-name --values '{"input1": "new_value"}'
```

Update the engine and provider of a workflow default:

```shell
omics workbench workflows versions defaults update default-id-1 --name "foo" --provider new-provider --values @defaults.json
```

## Positional Arguments

### `DEFAULT_ID`=`STRING`

The ID of the workflow default to be updated. This positional argument is required.

## Flags

### `--namespace`=`STRING`

An optional flag to define the namespace to connect to. By default, the namespace is extracted from the user's credentials.

### `--workflow`=`STRING`

The ID of the workflow for which the defaults will be updated.

### `--version`=`STRING`

The ID of the workflow version for which the defaults will be updated.

### `--name`=`STRING`

The new name for the workflow default.

### `--engine`=`STRING`

The selector to use when updating the defaults. This can be used to target a specific execution engine.

### `--provider`=`STRING`

The provider selector to use when updating the defaults. This helps in specifying the backend provider.

### `--region`=`STRING`

The region selector to use when updating the defaults. This helps in specifying the region for execution.

### `--values`=`JSON`

The configuration values to use when updating the defaults. This must be a non-empty JSON object that contains key-value pairs for the workflow inputs.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.omics.ai/products/command-line-interface/reference/workbench/workflows-versions-defaults-update.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
